CopyHero

Get Live Orders

GET
/api/v1/analytics/live/orders

Newest orders of the organization's stores, with country and first products.

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Query Parameters

since*Since

Orders processed at or after this time; at most 48 h ago.

Formatdate-time
limit?Limit
Range1 <= value <= 500
Default100
include?array<>

Components counted in net_shop besides products.

Default[]
subtract_refunds?Subtract Refunds

False: RETURN sales count in no amount.

Defaulttrue

Response Body

Successful Response

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://app.copyhero.app/api/v1/analytics/live/orders?since=2019-08-24T14%3A15%3A22Z'
Example Response
[  {    "store_id": 0,    "order_gid": "string",    "processed_at": "2019-08-24T14:15:22Z",    "net_shop": "string",    "components": {      "property1": "string",      "property2": "string"    },    "currency": "AED",    "country_code": "string",    "province_code": "string",    "product_count": 0,    "products": [      {        "internal_product_id": "17d65d0a-2bba-46da-af25-e6db2fc23598",        "title": "string",        "image_url": "string"      }    ]  }]